define docker::run(
    $ensure = "present",
    $image = $title,
    $containerName = undef,
    $command = undef
) {
    if $ensure == "present" {
        if $containerName {
            $findContainer = "docker ps | grep ${containerName}"
            $runContainer = "/usr/bin/docker run --name ${containerName} -d ${image} ${command}"
            exec { $runContainer:
                path    => ['/bin', '/usr/bin'],
                unless  => $findContainer
            }
        } else {
            $findContainer = "docker ps | grep ${image}"
            $runContainer =  "/usr/bin/docker run -d ${image} ${command}"
            exec { $runContainer:
                path    => ['/bin', '/usr/bin'],
                unless  => $findContainer
            }
        }
    } else {    
		if $containerName {
       		$findContainer = "docker ps | grep ${containerName}"
        	$rm = "/usr/bin/docker rm -f ${containerName}"
        	exec { $rm: 
            	path    => ['/bin', '/usr/bin'],
            	onlyif  => $findContainer,
            	timeout => 0,
        	}
		} else {
       		$findContainer = "docker ps | grep ${image}"
        	$rm = "/usr/bin/docker rm -f $(docker ps | grep ${image} | awk {'print \$1'})"
        	exec { $rm: 
            	path    => ['/bin', '/usr/bin'],
            	onlyif  => $findContainer,
            	timeout => 0,
        	}

		}
    }
}
